class Student {
    public int stu_no = 10011;                                
    public String stu_name;                                  
    public String specialty;                                   
}
class GraduateStudent extends Student {
    public int stu_no = 20011;                                  // 隐藏父类成员变量stu_no
    public String tutor;                                      
    public String spec_direction;                               
    void printStu_no(int stu_no) {                               // 形参变量隐藏自己的成员变量
        System.out.println("stu_no is " + stu_no);                  // 形参变量
        System.out.println("stu_no of Student is  " + super.stu_no);
        System.out.println("stu_no of GraduateStudent is" + this.stu_no);
    }
}
class Example4_7{
    public static void main(String[] args) {
        int stu_no = 40011;                                    // 局部变量重写自己的成员变量
        System.out.println("stu_no = " + stu_no);
        GraduateStudent stu1 = new GraduateStudent();
        stu1.printStu_no(30011);
    }
}
